## python-mbed-ls 1.6.2+dfsg

=== debian/changelog ===
python-mbed-ls (1.6.2+dfsg-12) unstable; urgency=medium

  * QA Upload
  * Fix SyntaxWarning (Closes: #1086850)
  * Patch-out build-dependency on python3-mock & python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 14:05:29 +0100

python-mbed-ls (1.6.2+dfsg-11) unstable; urgency=medium

  * QA Upload
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067996)

  [ Nick Morrott ]
  * Orphan Package

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 20:30:43 +0200

python-mbed-ls (1.6.2+dfsg-10) unstable; urgency=medium

  * d/clean:
    - Remove generated manpage files
  * d/copyright:
    - Bump years of Debian copyright
  * d/lintian-overrides:
    - Refresh lintian overrides (override names changed)
  * d/s/lintian-overrides:
    - Add override for long lines in source
  * d/patches:
    - Correct invalid metadata (per tracker.d.o) in patch header

 -- Nick Morrott <nickm@debian.org>  Sat, 03 Feb 2024 01:58:42 +0000

python-mbed-ls (1.6.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * d/p/0006-Replace-deprecated-assertDictContainsSubset.patch:
    Replace deprecated assertDictContainsSubset with assertLessEqual.
    (Closes: #1056482)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/control: B-D on python-six. (Closes: #1056482)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 23 Jan 2024 10:13:49 -0500

python-mbed-ls (1.6.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch: Support setuptools >= 60 (Closes: #1022538)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 10:57:39 +0200

python-mbed-ls (1.6.2+dfsg-7) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
    - Drop unnecessary version constraints
  * d/copyright:
    - Refresh years of Debian copyright
  * d/patches:
    - Add patch fix-syntaxwarnings-is-with-literals (Closes: #985022)
    - Add patch relax-setup-py-dependency-versions
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Sun, 06 Feb 2022 08:15:47 +0000

python-mbed-ls (1.6.2+dfsg-6) unstable; urgency=medium

  * d/python-mbed-ls-doc.links:
    - Add convenience link to python3-mbed-ls package
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 09:53:04 +0000

python-mbed-ls (1.6.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jan 2021 21:41:45 -0500

python-mbed-ls (1.6.2+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Rename -doc package to drop Python version
  * d/copyright:
    - Refresh years of Debian copyright
  * d/u/metadata:
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

 -- Nick Morrott <nickm@debian.org>  Thu, 07 Jan 2021 03:35:38 +0000

python-mbed-ls (1.6.2+dfsg-3) unstable; urgency=medium

  * d/manpages:
    - Update author email address for custom manpage
    - Improve formatting of custom manpage

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 18:51:16 +0100

python-mbed-ls (1.6.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add Rules-Requires-Root field, set to no
    - Update Uploaders to use to my Debian email address
    - Mark python3-mbed-ls-doc as Multi-Arch: foreign
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Fri, 19 Jun 2020 15:36:11 +0100

python-mbed-ls (1.6.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #917118)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 17:32:34 +0100
