=== debian/tests/control ===
Tests: python3-mbed-ls
Depends: @builddeps@, @, python3-all
Restrictions: allow-stderr
