=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//, repacksuffix=+dfsg, filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" https://github.com/ARMmbed/mbed-ls/tags .*/archive/refs/tags/(?:v|release-version-)?@ANY_VERSION@@ARCHIVE_EXT@
